Host Pools - Get

Get a host pool.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/hostPools/{hostPoolName}?api-version=2026-04-16

URI Parameters

Name In Required Type Description
hostPoolName
path True

string

minLength: 3
maxLength: 64
pattern: ^[A-Za-z0-9@.\-_ ]*$

The name of the host pool within the specified resource group

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

HostPool

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

HostPools_Get

Sample request

GET https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1?api-version=2026-04-16

Sample response

{
  "name": "hostPool1",
  "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1",
  "type": "/Microsoft.DesktopVirtualization/hostPools",
  "location": "centralus",
  "tags": {
    "key1": "value1",
    "key2": "value2"
  },
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "properties": {
    "objectId": "7877fb31-4bde-49fd-9df3-c046e0ec5325",
    "friendlyName": "friendly",
    "description": "des1",
    "hostPoolType": "Pooled",
    "personalDesktopAssignmentType": "Automatic",
    "customRdpProperty": null,
    "maxSessionLimit": 999999,
    "loadBalancerType": "BreadthFirst",
    "validationEnvironment": null,
    "ring": null,
    "registrationInfo": {
      "expirationTime": "2008-09-22T14:01:54.9571247Z",
      "registrationTokenOperation": "Update"
    },
    "vmTemplate": "{json:json}",
    "ssoadfsAuthority": "https://adfs",
    "ssoClientId": "client",
    "ssoClientSecretKeyVaultPath": "https://keyvault/secret",
    "ssoSecretType": "SharedKey",
    "preferredAppGroupType": "Desktop",
    "startVMOnConnect": false,
    "cloudPcResource": false,
    "agentUpdate": {
      "type": "Scheduled",
      "useSessionHostLocalTime": false,
      "maintenanceWindowTimeZone": "Alaskan Standard Time",
      "maintenanceWindows": [
        {
          "hour": 7,
          "dayOfWeek": "Friday"
        },
        {
          "hour": 8,
          "dayOfWeek": "Saturday"
        }
      ]
    },
    "managedPrivateUDP": "Default",
    "directUDP": "Default",
    "publicUDP": "Default",
    "relayUDP": "Default",
    "allowRDPShortPathWithPrivateLink": "Enabled"
  }
}
{
  "error": {
    "code": "hostPoolDoesNotExist",
    "message": "Host Pool Does Not Exist"
  }
}

Definitions

Name Description
AgentUpdateProperties

The session host configuration for updating agent, monitoring agent, and stack component.

AllowRDPShortPathWithPrivateLink

Controls if the use of RDPShortPath transport is allowed, possibly bypassing Private Link routes.

createdByType

The type of identity that created the resource.

DayOfWeek

Day of the week. Modeled as string

DirectUDP

Direct UDP Connection Settings

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

HostPool

Represents a HostPool definition.

HostpoolPublicNetworkAccess

Enabled to allow this resource to be access from the public network

HostPoolType

HostPool type for desktop.

LoadBalancerType

The type of the load balancer.

MaintenanceWindowProperties

Maintenance window starting hour and day of week.

ManagedPrivateUDP

Managed Private UDP Connection Settings

PersonalDesktopAssignmentType

PersonalDesktopAssignment type for HostPool.

Plan

Plan for the resource.

PreferredAppGroupType

The type of preferred application group type, default to Desktop Application Group

PrivateEndpoint

The private endpoint resource.

PrivateEndpointConnection

The private endpoint connection resource.

PrivateEndpointConnectionProperties

Properties of the private endpoint connection.

PrivateEndpointConnectionProvisioningState

The current provisioning state.

PrivateEndpointServiceConnectionStatus

The private endpoint connection status.

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

PublicUDP

Public UDP Connection Settings

RegistrationInfo

Represents a RegistrationInfo definition.

RegistrationTokenOperation

The type of resetting the token.

RelayUDP

Relay UDP Connection Settings

SessionHostComponentUpdateType

The type of maintenance for session host components.

Sku

The resource model definition representing SKU

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

SSOSecretType

The type of single sign on Secret Type.

SystemAssignedServiceIdentity

Managed service identity (either system assigned, or none)

SystemAssignedServiceIdentityType

Type of managed service identity (either system assigned, or none).

systemData

Metadata pertaining to creation and last modification of the resource.

AgentUpdateProperties

The session host configuration for updating agent, monitoring agent, and stack component.

Name Type Description
maintenanceWindowTimeZone

string

Time zone for maintenance as defined in https://docs.microsoft.com/en-us/dotnet/api/system.timezoneinfo.findsystemtimezonebyid?view=net-5.0. Must be set if useLocalTime is true.

maintenanceWindows

MaintenanceWindowProperties[]

List of maintenance windows. Maintenance windows are 2 hours long.

type

SessionHostComponentUpdateType

The type of maintenance for session host components.

useSessionHostLocalTime

boolean

Whether to use localTime of the virtual machine.

Controls if the use of RDPShortPath transport is allowed, possibly bypassing Private Link routes.

Value Description
Disabled

Blocks the use of RDPShortPath if the hostpool PublicNetworkAccess setting is configured to require private link.

Enabled

Allows the use of RDPShortPath even if the hostpool PublicNetworkAccess is configured to require the use of private link.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DayOfWeek

Day of the week. Modeled as string

Value Description
Monday
Tuesday
Wednesday
Thursday
Friday
Saturday
Sunday

DirectUDP

Direct UDP Connection Settings

Value Description
Default

AVD-wide settings are used to determine connection availability

Enabled

UDP will attempt this connection type when making connections.

Disabled

UDP will not attempt this connection type when making connections

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

HostPool

Represents a HostPool definition.

Name Type Description
etag

string

If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

SystemAssignedServiceIdentity

The managed service identities assigned to this resource.

kind

string

pattern: ^[-\w\._,\(\)]+$

Metadata used by portal/tooling/etc to render different UX experiences for resources of the same type; e.g. ApiApps are a kind of Microsoft.Web/sites type. If supported, the resource provider must validate and persist this value.

location

string

The geo-location where the resource lives

managedBy

string

The fully qualified resource ID of the resource that manages this resource. Indicates if this resource is managed by another Azure resource. If this is present, complete mode deployment will not delete the resource if it is removed from the template since it is managed by another resource.

name

string

The name of the resource

plan

Plan

Details of the resource plan.

properties.agentUpdate

AgentUpdateProperties

The session host configuration for updating agent, monitoring agent, and stack component.

properties.allowRDPShortPathWithPrivateLink

AllowRDPShortPathWithPrivateLink

Controls if the use of RDPShortPath transport is allowed, possibly bypassing Private Link routes.

properties.appAttachPackageReferences

string[]

List of App Attach Package links.

properties.applicationGroupReferences

string[]

List of applicationGroup links.

properties.cloudPcResource

boolean

Is cloud pc resource.

properties.customRdpProperty

string

Custom rdp property of HostPool.

properties.description

string

Description of HostPool.

properties.directUDP

DirectUDP

Default: AVD-wide settings are used to determine connection availability, Enabled: UDP will attempt this connection type when making connections. This means that this connection is possible, but is not guaranteed, as there are other factors that may prevent this connection type, Disabled: UDP will not attempt this connection type when making connections

properties.friendlyName

string

Friendly name of HostPool.

properties.hostPoolType

HostPoolType

HostPool type for desktop.

properties.loadBalancerType

LoadBalancerType

The type of the load balancer.

properties.managedPrivateUDP

ManagedPrivateUDP

Default: AVD-wide settings are used to determine connection availability, Enabled: UDP will attempt this connection type when making connections. This means that this connection is possible, but is not guaranteed, as there are other factors that may prevent this connection type, Disabled: UDP will not attempt this connection type when making connections

properties.maxSessionLimit

integer (int32)

The max session limit of HostPool.

properties.objectId

string

ObjectId of HostPool. (internal use)

properties.personalDesktopAssignmentType

PersonalDesktopAssignmentType

PersonalDesktopAssignment type for HostPool.

properties.preferredAppGroupType

PreferredAppGroupType

The type of preferred application group type, default to Desktop Application Group

properties.privateEndpointConnections

PrivateEndpointConnection[]

List of private endpoint connection associated with the specified resource

properties.publicNetworkAccess

HostpoolPublicNetworkAccess

Enabled allows this resource to be accessed from both public and private networks, Disabled allows this resource to only be accessed via private endpoints

properties.publicUDP

PublicUDP

Default: AVD-wide settings are used to determine connection availability, Enabled: UDP will attempt this connection type when making connections. This means that this connection is possible, but is not guaranteed, as there are other factors that may prevent this connection type, Disabled: UDP will not attempt this connection type when making connections

properties.registrationInfo

RegistrationInfo

The registration info of HostPool.

properties.relayUDP

RelayUDP

Default: AVD-wide settings are used to determine connection availability, Enabled: UDP will attempt this connection type when making connections. This means that this connection is possible, but is not guaranteed, as there are other factors that may prevent this connection type, Disabled: UDP will not attempt this connection type when making connections

properties.ring

integer (int32)

The ring number of HostPool.

properties.ssoClientId

string

ClientId for the registered Relying Party used to issue WVD SSO certificates.

properties.ssoClientSecretKeyVaultPath

string

Path to Azure KeyVault storing the secret used for communication to ADFS.

properties.ssoSecretType

SSOSecretType

The type of single sign on Secret Type.

properties.ssoadfsAuthority

string

URL to customer ADFS server for signing WVD SSO certificates.

properties.startVMOnConnect

boolean

The flag to turn on/off StartVMOnConnect feature.

properties.validationEnvironment

boolean

Is validation environment.

properties.vmTemplate

string

VM template for sessionhosts configuration within hostpool.

sku

Sku

The SKU (Stock Keeping Unit) assigned to this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

HostpoolPublicNetworkAccess

Enabled to allow this resource to be access from the public network

Value Description
Enabled

Allows this resource to be accessed from the public network

Disabled

Prevents this resource from being accessed from the public network

EnabledForSessionHostsOnly

Allows SessionHosts to be accessed from the public network

EnabledForClientsOnly

Allows Clients to be accessed from the public network

HostPoolType

HostPool type for desktop.

Value Description
Personal

Users will be assigned a SessionHost either by administrators (PersonalDesktopAssignmentType = Direct) or upon connecting to the pool (PersonalDesktopAssignmentType = Automatic). They will always be redirected to their assigned SessionHost.

Pooled

Users get a new (random) SessionHost every time it connects to the HostPool.

BYODesktop

Users assign their own machines, load balancing logic remains the same as Personal. PersonalDesktopAssignmentType must be Direct.

LoadBalancerType

The type of the load balancer.

Value Description
BreadthFirst

Uses BreadthFirst algorithm for load balancing.

DepthFirst

Uses DepthFirst algorithm for load balancing.

Persistent

Maintains persistent connections.

MultiplePersistent

Maintains multiple persistents connections.

MaintenanceWindowProperties

Maintenance window starting hour and day of week.

Name Type Description
dayOfWeek

DayOfWeek

Day of the week.

hour

integer (int32)

The update start hour of the day. (0 - 23)

ManagedPrivateUDP

Managed Private UDP Connection Settings

Value Description
Default

AVD-wide settings are used to determine connection availability

Enabled

UDP will attempt this connection type when making connections.

Disabled

UDP will not attempt this connection type when making connections

PersonalDesktopAssignmentType

PersonalDesktopAssignment type for HostPool.

Value Description
Automatic

Automatically assigns an available personal desktop to the user.

Direct

Manually assigns a specific personal desktop to the user.

Plan

Plan for the resource.

Name Type Description
name

string

A user defined name of the 3rd Party Artifact that is being procured.

product

string

The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.

promotionCode

string

A publisher provided promotion code as provisioned in Data Market for the said product/artifact.

publisher

string

The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic

version

string

The version of the desired product/artifact.

PreferredAppGroupType

The type of preferred application group type, default to Desktop Application Group

Value Description
None

Internal Use Only

Desktop

Use Desktop Application Group

RailApplications

Use RailApplications (RemoteApp)

PrivateEndpoint

The private endpoint resource.

Name Type Description
id

string

The ARM identifier for private endpoint.

PrivateEndpointConnection

The private endpoint connection resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

PrivateEndpointConnectionProperties

Resource properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionProperties

Properties of the private endpoint connection.

Name Type Description
groupIds

string[]

The group ids for the private endpoint resource.

privateEndpoint

PrivateEndpoint

The private endpoint resource.

privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

provisioningState

PrivateEndpointConnectionProvisioningState

The provisioning state of the private endpoint connection resource.

PrivateEndpointConnectionProvisioningState

The current provisioning state.

Value Description
Succeeded

Provisioning was successful

Creating

A PrivateEndpointConnection is being created

Deleting

A PrivateEndpointConnection is being deleted

Failed

Provisioning failed

PrivateEndpointServiceConnectionStatus

The private endpoint connection status.

Value Description
Pending

Connection is Pending

Approved

Connection was Approved

Rejected

Connection was rejected

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

Name Type Description
actionsRequired

string

A message indicating if changes on the service provider require any updates on the consumer.

description

string

The reason for approval/rejection of the connection.

status

PrivateEndpointServiceConnectionStatus

Indicates whether the connection has been Approved/Rejected/Removed by the owner of the service.

PublicUDP

Public UDP Connection Settings

Value Description
Default

AVD-wide settings are used to determine connection availability

Enabled

UDP will attempt this connection type when making connections.

Disabled

UDP will not attempt this connection type when making connections

RegistrationInfo

Represents a RegistrationInfo definition.

Name Type Description
expirationTime

string (date-time)

Expiration time of registration token.

registrationTokenOperation

RegistrationTokenOperation

The type of resetting the token.

token

string (password)

The registration token base64 encoded string.

RegistrationTokenOperation

The type of resetting the token.

Value Description
Delete

Delete operation

None

No Operation

Update

Update Operation

RelayUDP

Relay UDP Connection Settings

Value Description
Default

AVD-wide settings are used to determine connection availability

Enabled

UDP will attempt this connection type when making connections.

Disabled

UDP will not attempt this connection type when making connections

SessionHostComponentUpdateType

The type of maintenance for session host components.

Value Description
Default

Agent and other agent side components are delivery schedule is controlled by WVD Infra.

Scheduled

TenantAdmin have opted in for Scheduled Component Update feature.

Sku

The resource model definition representing SKU

Name Type Description
capacity

integer (int32)

If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU. E.g. P3. It is typically a letter+number code

size

string

The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.

tier

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

Value Description
Free
Basic
Standard
Premium

SSOSecretType

The type of single sign on Secret Type.

Value Description
SharedKey

The SSO Secret is a Shared Key.

Certificate

The SSO Secret is a Certificate.

SharedKeyInKeyVault

The SSO Secret is a SharedKey that is stored in KeyVault.

CertificateInKeyVault

The SSO Secret is a Certificate that is stored in KeyVault.

SystemAssignedServiceIdentity

Managed service identity (either system assigned, or none)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

SystemAssignedServiceIdentityType

Type of managed service identity (either system assigned, or none).

SystemAssignedServiceIdentityType

Type of managed service identity (either system assigned, or none).

Value Description
None
SystemAssigned

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.